Apache Tomcat 4.x < 4.1.32 多种漏洞

medium Nessus 插件 ID 47029

语言:

简介

远程 Apache Tomcat 服务器受到多个漏洞的影响。

描述

根据其自我报告的版本号,在远程主机上监听的 Apache Tomcat 4.x 实例版本低于 4.1.32。因此,该应用程序受到以下漏洞的影响:

- 远程安装的 Apache Tomcat 容易遭受拒绝服务攻击。如果启用了目录清单,用于检索大目录内容的函数调用可降低性能。
(CVE-2005-3510)

- 如果启用了 JSP 示例,远程安装的 Apache Tomcat 可能容易遭受跨站脚本攻击。这些 JSP 示例中的一部分未正确验证用户输入。(CVE-2005-4838)

- 远程安装的 Apache Tomcat 允许远程用户通过在具有映射扩展的文件名前放置分号来列出目录的内容。
(CVE-2006-3835)

- 如果启用,JSP 日历示例应用程序容易受到跨站脚本攻击的影响,这是未正确验证用户输入所致。(CVE-2006-7196)

- 以默认配置安装的远程 Apache Tomcat 在使用 SSL 时允许使用不安全的密码。(CVE-2007-1858)

- 远程安装的 Apache Tomcat 允许非许可 IP 地址发出的,旨在访问 RequestFilterValve 扩展阀所保护上下文的请求,因此可能容易受到信息泄露攻击的影响。(CVE-2008-3271)

请注意,Nessus 尚未测试这些问题,而是只依靠应用程序自我报告的版本号。

解决方案

升级到 Apache Tomcat 4.1.32 版本或更高版本。

另见

http://tomcat.apache.org/security-4.html#Fixed_in_Apache_Tomcat_4.1.32

https://bz.apache.org/bugzilla/show_bug.cgi?id=25835

插件详情

严重性: Medium

ID: 47029

文件名: tomcat_4_1_32.nasl

版本: 1.21

类型: combined

代理: windows, macosx, unix

系列: Web Servers

发布时间: 2010/6/16

最近更新时间: 2022/4/11

配置: 启用彻底检查

支持的传感器: Nessus Agent

风险信息

VPR

风险因素: Medium

分数: 4.4

CVSS v2

风险因素: Medium

基本分数: 5

时间分数: 3.9

矢量: AV:N/AC:L/Au:N/C:P/I:N/A:N

时间矢量: E:POC/RL:OF/RC:C

CVSS 分数来源: CVE-2005-3510

CVSS v3

风险因素: Medium

基本分数: 5.3

时间分数: 4.8

矢量: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N

时间矢量: E:P/RL:O/RC:C

漏洞信息

CPE: cpe:/a:apache:tomcat

必需的 KB 项: installed_sw/Apache Tomcat

可利用: true

易利用性: Exploits are available

补丁发布日期: 2006/6/16

漏洞发布日期: 2005/1/3

参考资料信息

CVE: CVE-2005-3510, CVE-2005-4838, CVE-2006-3835, CVE-2006-7196, CVE-2007-1858, CVE-2008-3271

BID: 15325, 19106, 25531, 28482, 31698

SECUNIA: 13737, 17416, 32213

CWE: 79, 264